Bug 84233 - CONTEXT MENU: Reorganizing the slide menu
Summary: CONTEXT MENU: Reorganizing the slide menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Context-Menu
  Show dependency treegraph
 
Reported: 2014-09-23 09:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-24 19:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
context menus from other presentation apps (166.69 KB, image/png)
2014-10-16 11:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-23 09:22:35 UTC
Presently in impress, the slide menu of the context menu is sorted like this :-

Paste
- separator -
Slide >
  Page Setup
  Slide Design
  Slide Layout
  Set Background Image for Slide
  Rename Slide
  - separator -
  Display Background of Master
  Display Objects from Master
  - separator -
  New Slide
  Duplicate Slide
  Delete Slide

1) I think that New, Duplicate and Delete slide should be moved to the main context menu list underneath the separator after paste and then a new separator should be added under the 'slide' entry in order to separate these 4 slide items.

2) 'Slide Layout' is quite useless here as all it does is show the sidebar, so a better thing would be that it be a submenu item which list the 12 default slide layouts. Powerpoint puts this submenu in the main context menu and i think it might be useful there as well.

3) A 'Hide Slide' item is missing from the list and should be placed near 'Rename Slide'.

With these suggestions, and renaming some of the entries, below is the most optimal result.

Paste
- separator -
New Slide
Duplicate Slide
Delete Slide
Slide Layout >
  Blank Slide
  [...]
  Title 6, Content
Slide >
  Slide Setup
  Set Background Image
  Rename Slide
  Hide Slide
  - separator -
  Master Slide Design
  Display Background of Master
  Display Objects from Master
- separator -
Navigator
Comment 1 Yousuf Philips (jay) (retired) 2014-09-23 21:15:59 UTC
With the addition of the Hide Slide option, it would have to be an hide/unhide slide option.
Comment 2 Samuel Mehrbrodt (CIB) 2014-10-13 19:37:57 UTC
Hm I have some other suggestions...
That's how I use Impress:
* For adding, deleting, hiding etc of slides I always use the left panel. I would suggest that those options are only in the left panel in the context menu.
* The context menu on the slide itself I mostly use for changing the slide background or other slide properties. I would suggest to bring these options to the first level.

So my suggestion for the new slide context menu is this:

Paste
- separator -
Slide Setup
Set Background Image
- separator -
Master Slide Design
Display Background from Master
Display Objects from Master
- separator -
Display Ruler
...


Comparing with PowerPoint and WPS, they have a similiar context menu.
Comment 3 tommy27 2014-10-16 02:47:47 UTC
I like Jay's new setup proposal. status NEW
Comment 4 Yousuf Philips (jay) (retired) 2014-10-16 11:49:06 UTC
Created attachment 107924 [details]
context menus from other presentation apps

Here are all the major presentation apps from various office suites and the context menu from on the slide, context menu in the slide pane on a slide, and context menu in the slide pane not on a slide.

WordPerfect's presentation app doesnt have a slide pane, so the context menus are from its slide sorter tab.
Comment 5 Yousuf Philips (jay) (retired) 2014-10-16 12:45:25 UTC
Well all the office suite presentation apps dont have it in the slide context menu except ibm symphony. All the youtube videos i saw for impress for LO and AOO all add a slide from the side pane, toolbar button and insert menu.

Right-click in Pane
 http://www.youtube.com/watch?v=vR7yVoPn2bs
 http://www.youtube.com/watch?v=ieTmucuATV8
 http://www.youtube.com/watch?v=FuKFuueR_S4
 http://www.youtube.com/watch?v=_Az6ZimJH8s
 http://www.youtube.com/watch?v=mPiG9A1OztE
 http://www.youtube.com/watch?v=pMaQdtjhxQM
 http://www.youtube.com/watch?v=afnYOdMQ6K4
 http://www.youtube.com/watch?v=oROiNcheGjE
 http://www.youtube.com/watch?v=ZWR4C0YphqU

Toolbar Button
 http://www.youtube.com/watch?v=VfvtAzflroM
 http://www.youtube.com/watch?v=Kc3lLjItTG4
 http://www.youtube.com/watch?v=Hrg7ZsqJWH0
 http://www.youtube.com/watch?v=DFKj9Nl4w6I
 http://www.youtube.com/watch?v=s3MgBBNw5-k

Menu
 http://www.youtube.com/watch?v=Nc2f7fQ99-U
 http://www.youtube.com/watch?v=LiQTXrghY5M
 http://www.youtube.com/watch?v=Fs0vigCxPvE
 http://www.youtube.com/watch?v=cKH2rPrM4n4

I think we can leave those entries exclusively in the submenu and move everything else out to the main context menu for the time being and then delete the submenu with stats from kendy. What you think samuel?
Comment 6 Yousuf Philips (jay) (retired) 2014-12-22 20:00:24 UTC
Put in patches for 4.4 and 4.5 to begin reworking the submenu.

4.4 - https://gerrit.libreoffice.org/#/c/13615/
4.5 - https://gerrit.libreoffice.org/#/c/13599/

Stats from the recent impress survey showed that 13% of participants used the slide context menu to add a new slide, so i've left those in the submenu, but have moved them to the top. I've moved 'set slide background' and 'slide setup' to the main context menu and removed 'slide layout' until it can be created as a submenu.
Comment 7 Commit Notification 2014-12-24 05:23:09 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b44c4ed4a70832d1e7c18396f486efd2e1c48a0

fdo#84233 rearrange impress's slide context menu and minor fix bugs in draw's

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-01-06 17:06:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5fd512c34c7210d86f210c74033291bd27ca83c&h=libreoffice-4-4

fdo#84233 rearrange impress and draw slide context menus submenu (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-07-14 13:33:23 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 10 Yousuf Philips (jay) (retired) 2017-09-23 18:33:28 UTC
(In reply to Xisco Faulí from comment #9)
> Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED

No additional work is needed